<?php
/**
 * Customizer fields for no-content empty state settings.
 *
 * @package Eronex
 * @since   0.0.1
 */

use Kirki\Field\Image;
use Kirki\Field\Text;
use Kirki\Field\Textarea;
use Kirki\Pro\Field\Divider;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

new Image(
	array(
		'label'    => esc_html__( 'Image', 'eronex' ),
		'settings' => 'eronex_no_content_image',
		'section'  => 'eronex_no_content',
		'default'  => ERONEX_URI . 'assets/img/no-content.png',
	)
);

new Divider(
	array(
		'settings' => 'eronex_no_content_title_separator',
		'section'  => 'eronex_no_content',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Text(
	array(
		'settings' => 'eronex_no_content_title',
		'label'    => esc_html__( 'Title', 'eronex' ),
		'section'  => 'eronex_no_content',
		'default'  => esc_html__( 'Nothing found', 'eronex' ),
	)
);

new Divider(
	array(
		'settings' => 'eronex_no_content_description_separator',
		'section'  => 'eronex_no_content',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Textarea(
	array(
		'settings' => 'eronex_no_content_description',
		'label'    => esc_html__( 'Description', 'eronex' ),
		'section'  => 'eronex_no_content',
		'default'  => esc_html__( 'No results were found for your selection', 'eronex' ),
	)
);
